<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginRightsChooserConfigView extends AdminPluginTemplatedView
	{

		function PluginRightsChooserConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "rightschooser", "rightschooser" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_rightschooser_enabled" );
	        $RightsIcon = $blogSettings->getValue( "plugin_rightschooser_rightsicon" );
	        $RightsText = $blogSettings->getValue( "plugin_rightschooser_rightstext" );
	        $RightsCode = $blogSettings->getValue( "plugin_rightschooser_rightscode" );
	        $RightsUrl = $blogSettings->getValue( "plugin_rightschooser_rightsurl" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
            $this->setValue( "RightsIcon", $RightsIcon );
	        $this->setValue( "RightsText", $RightsText );
	        $this->setValue( "RightsCode", $RightsCode);
	        $this->setValue( "RightsUrl", $RightsUrl);
			
			parent::render();
		}
	}
?>